@import '@szhsin/react-menu/dist/index.css';
@import '@szhsin/react-menu/dist/theme-dark.css';
@import '@szhsin/react-menu/dist/transitions/slide.css';

@tailwind base;
@tailwind components;
@tailwind utilities;

.prog-state {
  @apply
  text-hive-red
  text-xs
}

.prog-state-complete-claimed {
  @apply
  dark:text-peerplays-light-blue
  text-peerplays-dark-blue
  text-xs
}

.prog-state-current-claimed {
  @apply
  dark:text-peerplays-light-blue
  text-peerplays-dark-blue
  text-base
}

.prog-state-complete-not-claimable {
  @apply
  dark:text-peerplays-light-blue
  text-peerplays-dark-blue
  text-xs
}

.prog-state-current-not-claimable {
  @apply
  dark:text-peerplays-light-blue
  text-peerplays-dark-blue
  text-base
}

.prog-state-complete-no-claim {
  @apply
  dark:text-peerplays-light-blue
  text-peerplays-dark-blue
  text-xs
  grayscale
}

.prog-state-current-no-claim {
  @apply
  dark:text-peerplays-green
  text-peerplays-green
  text-base
}

.prog-state-incomplete-claimed {
  @apply
  text-hive-red
  text-xs
}

.prog-state-incomplete-no-claim {
  @apply
  text-hive-red
  text-xs
}

.prog-state-incomplete-not-claimable {
  @apply
  text-hive-red
  text-xs
}

.prog-state-pending-claimed {
  @apply
  text-peerplays-orange
  text-xs
}

.prog-state-pending-no-claim {
  @apply
  text-peerplays-orange
  text-xs
}

.prog-state-pending-not-claimable {
  @apply
  text-peerplays-orange
  text-xs
}

.prog-node {
  @apply
  flex
  self-center
  justify-self-end
  -mr-1
}

.prog-state-icon {
  @apply
  absolute
  inline-flex
  animate-none
  opacity-50
  invisible
}

.prog-state-icon-current {
  @apply
  absolute
  inline-flex
  animate-ping
  opacity-50
  visible
}

@layer base {

  /**
  /* The Base Styles
  /**/
  body {
    @apply
    text-hive-dark-black
    dark:text-hive-light-grey
    font-nexa
    font-light;
  }

  h1, h2, h3, h4, h5, h6 {
    @apply font-bold;
  }

  h1 { @apply text-2xl md:text-4xl; }
  h2 { @apply text-xl md:text-3xl; }
  h3 { @apply text-lg md:text-2xl; }
  h4 { @apply text-base md:text-xl; }
  h5 { @apply text-sm md:text-lg; }
  h6 { @apply text-xs md:text-base; }
  
  a {
    @apply
    dark:text-peerplays-light-blue
    dark:hover:text-hive-red
    dark:focus:text-hive-red
    text-peerplays-dark-blue
    hover:text-hive-red
    focus:text-hive-red;
  }

  button {
    @apply
    font-nexa
    font-light;
  }

  tr:hover {
    @apply
    filter
    drop-shadow-lg
  }

  tr:hover td {
    @apply
    filter
    dark:bg-hive-light-black
    bg-hive-light-grey
    dark:brightness-150
    brightness-90;
  }

  tr th {
    @apply
    text-hive-light-grey;
  }

  .link-underline {
		border-bottom-width: 0;
		background-image: linear-gradient(transparent, transparent), linear-gradient(#E31337, #E31337);
		background-size: 0 1px;
		background-position: 0 100%;
		background-repeat: no-repeat;
		transition: background-size .2s ease-in-out;
	}

	.link-underline:hover {
		background-size: 100% 1px;
		background-position: 0 100%;
	}

  /**
  /* Icons and Logos
  /**/
  .logo {
    @apply
    filter
    drop-shadow-lg
    w-48px
    h-48px
    md:w-64px
    md:h-64px;
  }

  .logo-main {
    @apply
    filter
    drop-shadow-lg
    w-64px
    h-64px;
  }

  .logo-auto {
    @apply
    filter
    drop-shadow-lg;
  }

  .logo-animate {
    @apply
    transition-transform
    duration-100
    ease-in-out
    transform
    hover:-translate-y-1;
  }

  .logo-showcase {
    @apply
    w-48px
    h-48px
    md:w-128px
    md:h-128px;
  }

  /**
  /* The Authentication Indicator and Login Menu
  /**/
  .szh-menu {

  }

  #auth-menu {
    @apply
    shadow-none
    min-w-220px
    filter
    drop-shadow-lg;
  }

  .menu-header-fix {
      @apply
      text-center
      text-hive-dark-black
      dark:text-hive-light-grey
      mt-2;
  }

  .auth-form-input {
    @apply
    filter
    font-mono
    text-xs
    dark:shadow-inner
    dark:bg-hive-light-black
    dark:text-hive-light-grey
    dark:placeholder-hive-dark-grey
    dark:placeholder-opacity-40
    rounded
    shadow-inner
    text-hive-dark-black
    placeholder-hive-dark-black
    placeholder-opacity-60
    bg-hive-light-grey
    dark:hover:brightness-125
    hover:brightness-90
    border-0
    border-t-2
    border-l
    border-black
    border-opacity-30;
  }

  .auth-warning {
    @apply
    text-hive-red;
    animation: shake 1000ms ease-in-out 1s, fade-in-out 10s ease-in-out 0s;
  }

  #auth-indicator-btn {
    @apply
    sm:space-x-2
    flex
    flex-col
    sm:flex-row
    pb-0
    text-2xl
    md:text-3xl;
  }

  .anim-coin {
    @apply
    text-peerplays-light-blue;
    transform: translateY(-30px);
  }

  .btn:hover .anim-coin-1 {
    animation: coin-fall-1 3s;
    animation-iteration-count: infinite;
    animation-delay: 400ms;
    animation-timing-function: cubic-bezier(0.33333, 0, 0.66667, 0.33333);
  }

  .btn:hover .anim-coin-2 {
    animation: coin-fall-2 3s;
    animation-iteration-count: infinite;
    animation-delay: 0ms;
    animation-timing-function: cubic-bezier(0.33333, 0, 0.66667, 0.33333);
  }

  .btn:hover .anim-coin-3 {
    animation: coin-fall-3 3s;
    animation-iteration-count: infinite;
    animation-delay: 200ms;
    animation-timing-function: cubic-bezier(0.33333, 0, 0.66667, 0.33333);
  }

  .btn {
    @apply
    filter
    text-hive-light-grey
    hover:ring
    focus:ring
    dark:hover:ring
    dark:focus:ring
    pt-2
    pb-1
    px-3
    rounded
    bg-peerplays-dark-blue
    hover:brightness-125
    opacity-100
    cursor-pointer
    border-b-2
    border-r
    border-white
    dark:border-black
    border-opacity-30
    dark:border-opacity-30;
  }

  .btn:active {
    @apply
    filter
    shadow-inner
    brightness-100
    border-b-0
    border-r-0
    border-l
    border-t-2;
  }

  .btn-active {
    @apply
    filter
    shadow-inner
    brightness-75
    border-b-0
    border-l
    border-t-2
    hover:ring-0
    focus:ring-0
    dark:hover:ring-0
    dark:focus:ring-0
    hover:brightness-75
    cursor-default
    z-0;
  }

  .btn-group {
    @apply
    filter
    text-hive-light-grey
    pt-1
    rounded
    border-r
    border-white
    dark:border-black
    border-opacity-30
    dark:border-opacity-30
    bg-peerplays-dark-blue
    opacity-100
    cursor-auto;
  }

  .btn-group:hover .btn-group-left {
    animation: shine 250ms;
    animation-iteration-count: 1;
    animation-timing-function: ease-in-out;
  }

  .btn-group:hover .btn-group-middle {
    animation: shine 250ms;
    animation-delay: 100ms;
    animation-iteration-count: 1;
    animation-timing-function: ease-in-out;
  }

  .btn-group:hover .btn-group-right {
    animation: shine 250ms;
    animation-delay: 200ms;
    animation-iteration-count: 1;
    animation-timing-function: ease-in-out;
  }

  .animate-pop {
    @apply
    transition-transform
    duration-75
    ease-in-out
    transform
    -translate-y-0;
  }

  .btn-group:hover .animate-pop {
    @apply
    -translate-y-0.5;
  }

  .custom-shadow {
    -webkit-box-shadow: 1px 1px 4px 3px rgba(0,0,0,0.2), 1px 1px 2px 1px rgba(0,0,0,0.1); 
    box-shadow: 1px 1px 4px 3px rgba(0,0,0,0.2), 1px 1px 2px 1px rgba(0,0,0,0.1);
  }

  .btn-group-left {
    @apply
    rounded-none
    rounded-bl
    border-r
    border-t;
  }

  .btn-group-middle {
    @apply
    rounded-none
    border-r
    border-t;
  }

  .btn-group-right {
    @apply
    rounded-none
    rounded-br
    border-t;
  }

  .btn-group-display-left {
    @apply
    rounded-none
    rounded-bl
    rounded-tl
    border-r
    border-t
    w-auto
    h-34px;
  }

  .btn-group-display-middle {
    @apply
    rounded-none
    border-r
    border-t
    w-auto
    h-34px;
  }

  .btn-group-display-right {
    @apply
    rounded-none
    rounded-br
    rounded-tr
    border-t
    w-auto
    h-34px;
  }

  .btn-page-lg {
    @apply
    w-64px;
  }

  .btn-page-md {
    @apply
    w-48px;
  }

  .btn-page-sm {
    @apply
    w-32px;
  }

  .btn-small {
    @apply
    text-xs
    font-light;
  }

  .btn-large {
    @apply
    text-lg
    font-semibold;
  }

  .anim-not-installed {
    @apply
    text-hive-red;
  }

  .btn-ribbon {
    @apply
    absolute
    top-0
    right-0
    w-100px
    h-30px;
    margin-right: -28px;
    padding-top: 3px;
    -ms-transform: rotate(45deg); /* IE 9 */
    -webkit-transform: rotate(45deg); /* Safari prior 9.0 */
    transform: rotate(45deg); /* Standard syntax */
  }

  .btn-disabled-group {
    @apply
    hover:ring-0
    focus:ring-0
    dark:hover:ring-0
    dark:focus:ring-0
    hover:brightness-100
    bg-opacity-60
    cursor-default
  }

  .btn-disabled {
    @apply
    hover:ring-0
    focus:ring-0
    dark:hover:ring-0
    dark:focus:ring-0
    hover:brightness-100
    bg-opacity-0
    cursor-default;
    animation: none !important;
  }

  .btn-disabled2 {
    @apply
    hover:ring-0
    focus:ring-0
    dark:hover:ring-0
    dark:focus:ring-0
    hover:brightness-100
    grayscale
    cursor-not-allowed
    pointer-events-none;
    animation: none !important;
  }

  .no-anim {
    animation: none !important;
  }

  .search-btn {
    @apply
    text-peerplays-dark-blue
    dark:text-peerplays-light-blue
    text-xl
    transition-transform
    duration-75
    ease-in-out
    transform
    -translate-y-0
  }

  #search-btn:hover {
    @apply
    filter
    drop-shadow-md
    brightness-125
    -translate-y-0.5
  }

  #search-clear:hover {
    @apply
    filter
    drop-shadow-md
    text-hive-red
    -translate-y-0.5
  }

  .card {
    @apply
    filter
    rounded
    drop-shadow-lg
    bg-hive-light-grey
    dark:bg-hive-dark-black
    transition-transform
    duration-75
    ease-in-out
    transform
    -translate-y-0
  }

  .card:hover {
    @apply
    brightness-125
    -translate-y-0.5
  }

  .my-record {
    @apply
    text-peerplays-orange
    font-bold;
  }

  .my-record a {
    @apply
    text-peerplays-orange;
  }

  .my-record a:hover {
    @apply
    text-hive-red;
  }

  #or {
    @apply
    z-1
    leading-0
    transform
    -translate-x-1/2
    -translate-y-1/2
  }

  /**
  /* The Progress Indicator
  /**/
  .rc-progress-line-path {
    /*transition: all 10s ease 0s !important;*/
    animation: dash 1.5s cubic-bezier(0.455, 0.030, 0.515, 0.955) forwards;
  }

  .prog-node-start {
    @apply
    flex
    self-center
    justify-self-start
    -ml-1
  }

  /**
  /* Animation
  /**/
  #tsparticles {
    @apply
    fixed
    inset-0
    -z-20
    bg-hive-light-grey
    dark:bg-hive-dark-black; /* if you use -1 you have to set to `"window"` the interactivity.detectsOn property */
  }

  @keyframes dash {
    from {
      stroke-dasharray: 0px, 100px;
    }
  }

  @keyframes shine {
    0%, 100% {
      filter: brightness(1);
    }
    50% {
      filter: brightness(1.25);
    }
  }

  @keyframes shake {
    0%,
    100% {
      transform: translateX(0);
    }
    10%,
    30%,
    50%,
    70% {
      transform: translateX(-4px);
    }
    20%,
    40%,
    60% {
      transform: translateX(4px);
    }
    80% {
      transform: translateX(2px);
    }
    90% {
      transform: translateX(-2px);
    }
  }

  @keyframes fade-in-out {
    0% {
      opacity: 0;
    }
    3% {
      opacity: 1;
    }
    50% {
      opacity: 1;
    }
    100% {
      opacity: 0;
    }
  }

  @keyframes coin-fall-1 {
    0% {
      transform: translateY(-30px);
    }
    12% {
      transform: translateY(1px);
    }
    60%, 100% {
      transform: translateY(1px);
      opacity: 0;
    }
  }

  @keyframes coin-fall-2 {
    0% {
      transform: translateY(-30px);
    }
    12% {
      transform: translateY(3px);
    }
    74%, 100% {
      transform: translateY(3px);
      opacity: 0;
    }
  }

  @keyframes coin-fall-3 {
    0% {
      transform: translateY(-30px);
    }
    12% {
      transform: translateY(3px);
    }
    67%, 100% {
      transform: translateY(3px);
      opacity: 0;
    }
  }

  /**
  /* Fonts
  /**/
  @font-face {
    font-family: 'Nexa';
    src: local('Nexa Bold'), local('NexaBold'),
        url('/fonts/NexaBold.woff2') format('woff2'),
        url('/fonts/NexaBold.woff') format('woff'),
        url('/fonts/NexaBold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
  }

  @font-face {
      font-family: 'Nexa';
      src: local('Nexa Light'), local('NexaLight'),
          url('/fonts/NexaLight.woff2') format('woff2'),
          url('/fonts/NexaLight.woff') format('woff'),
          url('/fonts/NexaLight.ttf') format('truetype');
      font-weight: 300;
      font-style: normal;
      font-display: swap;
  }

  @font-face {
      font-family: 'Nexa';
      src: local('Nexa Black'), local('Nexa-Black'),
          url('/fonts/Nexa-Black.woff2') format('woff2'),
          url('/fonts/Nexa-Black.woff') format('woff'),
          url('/fonts/Nexa-Black.ttf') format('truetype');
      font-weight: 900;
      font-style: normal;
      font-display: swap;
  }

  @font-face {
      font-family: 'Nexa';
      src: local('Nexa Bold'), local('Nexa-Bold'),
          url('/fonts/Nexa-Bold.woff2') format('woff2'),
          url('/fonts/Nexa-Bold.woff') format('woff'),
          url('/fonts/Nexa-Bold.ttf') format('truetype');
      font-weight: bold;
      font-style: normal;
      font-display: swap;
  }

  @font-face {
      font-family: 'Nexa';
      src: local('Nexa Black Italic'), local('Nexa-BlackItalic'),
          url('/fonts/Nexa-BlackItalic.woff2') format('woff2'),
          url('/fonts/Nexa-BlackItalic.woff') format('woff'),
          url('/fonts/Nexa-BlackItalic.ttf') format('truetype');
      font-weight: 900;
      font-style: italic;
      font-display: swap;
  }

  @font-face {
      font-family: 'Nexa';
      src: local('Nexa Book'), local('Nexa-Book'),
          url('/fonts/Nexa-Book.woff2') format('woff2'),
          url('/fonts/Nexa-Book.woff') format('woff'),
          url('/fonts/Nexa-Book.ttf') format('truetype');
      font-weight: normal;
      font-style: normal;
      font-display: swap;
  }

  @font-face {
      font-family: 'Nexa';
      src: local('Nexa Heavy'), local('Nexa-Heavy'),
          url('/fonts/Nexa-Heavy.woff2') format('woff2'),
          url('/fonts/Nexa-Heavy.woff') format('woff'),
          url('/fonts/Nexa-Heavy.ttf') format('truetype');
      font-weight: 900;
      font-style: normal;
      font-display: swap;
  }

  @font-face {
      font-family: 'Nexa';
      src: local('Nexa Book Italic'), local('Nexa-BookItalic'),
          url('/fonts/Nexa-BookItalic.woff2') format('woff2'),
          url('/fonts/Nexa-BookItalic.woff') format('woff'),
          url('/fonts/Nexa-BookItalic.ttf') format('truetype');
      font-weight: normal;
      font-style: italic;
      font-display: swap;
  }

  @font-face {
      font-family: 'Nexa';
      src: local('Nexa Bold Italic'), local('Nexa-BoldItalic'),
          url('/fonts/Nexa-BoldItalic.woff2') format('woff2'),
          url('/fonts/Nexa-BoldItalic.woff') format('woff'),
          url('/fonts/Nexa-BoldItalic.ttf') format('truetype');
      font-weight: bold;
      font-style: italic;
      font-display: swap;
  }

  @font-face {
      font-family: 'Nexa';
      src: local('Nexa Heavy Italic'), local('Nexa-HeavyItalic'),
          url('/fonts/Nexa-HeavyItalic.woff2') format('woff2'),
          url('/fonts/Nexa-HeavyItalic.woff') format('woff'),
          url('/fonts/Nexa-HeavyItalic.ttf') format('truetype');
      font-weight: 900;
      font-style: italic;
      font-display: swap;
  }

  @font-face {
      font-family: 'Nexa';
      src: local('Nexa Light'), local('Nexa-Light'),
          url('/fonts/Nexa-Light.woff2') format('woff2'),
          url('/fonts/Nexa-Light.woff') format('woff'),
          url('/fonts/Nexa-Light.ttf') format('truetype');
      font-weight: 300;
      font-style: normal;
      font-display: swap;
  }

  @font-face {
      font-family: 'Nexa';
      src: local('Nexa Light Italic'), local('Nexa-LightItalic'),
          url('/fonts/Nexa-LightItalic.woff2') format('woff2'),
          url('/fonts/Nexa-LightItalic.woff') format('woff'),
          url('/fonts/Nexa-LightItalic.ttf') format('truetype');
      font-weight: 300;
      font-style: italic;
      font-display: swap;
  }

  @font-face {
      font-family: 'Nexa';
      src: local('Nexa Thin'), local('Nexa-Thin'),
          url('/fonts/Nexa-Thin.woff2') format('woff2'),
          url('/fonts/Nexa-Thin.woff') format('woff'),
          url('/fonts/Nexa-Thin.ttf') format('truetype');
      font-weight: 100;
      font-style: normal;
      font-display: swap;
  }

  @font-face {
      font-family: 'Nexa';
      src: local('Nexa Regular Italic'), local('Nexa-RegularItalic'),
          url('/fonts/Nexa-RegularItalic.woff2') format('woff2'),
          url('/fonts/Nexa-RegularItalic.woff') format('woff'),
          url('/fonts/Nexa-RegularItalic.ttf') format('truetype');
      font-weight: normal;
      font-style: italic;
      font-display: swap;
  }

  @font-face {
      font-family: 'Nexa';
      src: local('Nexa Regular'), local('Nexa-Regular'),
          url('/fonts/Nexa-Regular.woff2') format('woff2'),
          url('/fonts/Nexa-Regular.woff') format('woff'),
          url('/fonts/Nexa-Regular.ttf') format('truetype');
      font-weight: normal;
      font-style: normal;
      font-display: swap;
  }

  @font-face {
      font-family: 'Nexa';
      src: local('Nexa Thin Italic'), local('Nexa-ThinItalic'),
          url('/fonts/Nexa-ThinItalic.woff2') format('woff2'),
          url('/fonts/Nexa-ThinItalic.woff') format('woff'),
          url('/fonts/Nexa-ThinItalic.ttf') format('truetype');
      font-weight: 100;
      font-style: italic;
      font-display: swap;
  }

  @font-face {
      font-family: 'Nexa';
      src: local('Nexa XBold'), local('Nexa-XBold'),
          url('/fonts/Nexa-XBold.woff2') format('woff2'),
          url('/fonts/Nexa-XBold.woff') format('woff'),
          url('/fonts/Nexa-XBold.ttf') format('truetype');
      font-weight: bold;
      font-style: normal;
      font-display: swap;
  }

  @font-face {
      font-family: 'Nexa';
      src: local('Nexa XBold Italic'), local('Nexa-XBoldItalic'),
          url('/fonts/Nexa-XBoldItalic.woff2') format('woff2'),
          url('/fonts/Nexa-XBoldItalic.woff') format('woff'),
          url('/fonts/Nexa-XBoldItalic.ttf') format('truetype');
      font-weight: bold;
      font-style: italic;
      font-display: swap;
  }

}
